%global pypi_name flex

%{?scl:%global python3_pkgversion %{nil}}
%{?scl:%scl_package python-%{pypi_name}}
%{!?scl:%global pkg_name %{name}}

Name:           %{?scl_prefix}python%{python3_pkgversion}-%{pypi_name}
Version:        6.13.2
Release:        1%{?dist}
Summary:        Swagger Schema validation

Group:          Development/Libraries
License:        BSD
URL:            https://pypi.io/project/%{pypi_name}
Source0:        https://pypi.io/packages/source/%(echo "%{pypi_name}" | cut -c 1)/%{pypi_name}/%{pypi_name}-%{version}.tar.gz

BuildArch:      noarch
BuildRequires:  %{?scl_prefix_python}python%{python3_pkgversion}-devel
BuildRequires:  %{?scl_prefix_python}python%{python3_pkgversion}-setuptools
%{?scl:BuildRequires: %{scl}-build %{scl}-runtime}

Requires:       %{?scl_prefix_python}python%{python3_pkgversion}-six >= 1.7.3
Requires:       %{?scl_prefix_python}python%{python3_pkgversion}-six < 2
Requires:       %{?scl_prefix_python}PyYAML >= 3.11
Requires:       %{?scl_prefix_python}PyYAML < 4
Requires:       %{?scl_prefix}python%{python3_pkgversion}-validate_email >= 1.2
Requires:       %{?scl_prefix}python%{python3_pkgversion}-validate_email < 2
Requires:       %{?scl_prefix}python%{python3_pkgversion}-rfc3987 >= 1.3.4
Requires:       %{?scl_prefix}python%{python3_pkgversion}-rfc3987 < 2
Requires:       %{?scl_prefix}python%{python3_pkgversion}-requests >= 2.4.3
Requires:       %{?scl_prefix}python%{python3_pkgversion}-requests < 3
Requires:       %{?scl_prefix}python%{python3_pkgversion}-strict-rfc3339 >= 0.7
Requires:       %{?scl_prefix}python%{python3_pkgversion}-strict-rfc3339 < 1
Requires:       %{?scl_prefix}python%{python3_pkgversion}-click >= 3.3
Requires:       %{?scl_prefix}python%{python3_pkgversion}-click < 7
Requires:       %{?scl_prefix}python%{python3_pkgversion}-jsonpointer >= 1.7
Requires:       %{?scl_prefix}python%{python3_pkgversion}-jsonpointer < 2
%{?scl:Requires: %{scl}-runtime}

%description
Swagger Schema validation.

%prep
%setup -q -n %{pypi_name}-%{version}
rm -rf %{pypi_name}.egg-info

%build
%{?scl:scl enable %{scl} "}
%{__python3} setup.py build
%{?scl:"}

%install
%{?scl:scl enable %{scl} "}
%{__python3} \
  setup.py \
  install \
  -O1 \
  --skip-build \
  --root %{buildroot} \
  --install-purelib %{python3_sitelib} \
  --install-scripts %{_bindir}
%{?scl:"}

%files
%{_bindir}/swagger-flex
%{python3_sitelib}/%{pypi_name}
%{python3_sitelib}/%{pypi_name}-%{version}-py?.?.egg-info

%changelog
* Tue Dec 11 2018 Daniel Uvehag <daniel.uvehag@gmail.com> - 6.13.2-1
- Initial package.
